use std::fs::read_to_string;
mod config;
// mod lib;
use mlem::*;
fn main() {
    let config = config::read_config();

    let raw_files = read_src_files(&config.src_dir);
    for file in raw_files {
        let markdown = read_to_string(file.path).expect("File does not exist");
        let html = generate_blog_entry(markdown,&config.templates_dir);
        write_to_fs(html, &config.output_dir, &file.file_name.into_string().unwrap());
    }

    // println!("{}", generate_blog_entry(markdown));
}
